/* intro_section */
.intro_section {
    width: 1400px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 160px;
    padding-bottom: 200px;
    /* background: linear-gradient(to top, #ECE8E000,#ECE8E060),
    url(/public/image/brand_story/intro_bg.jpg);
    background-blend-mode: multiply; */
}
.intro_section .title {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: flex-start;
    margin-bottom: 60px;
}
.calendar_wrap {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 900px;
    height: auto;
    background: linear-gradient(to top, #ffffff90,#ffffff90),
    url(../public/image/brand_story/texture_bg.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    /* background-blend-mode: multiply; */
    padding: 14px 40px 40px 40px;
}

.calendar li {
    width: 120px;
    height: 80px;
    padding: 6px;
    box-sizing: border-box;
}

.calendar li.today {
    background: #000;
    color: #fff;
    font-weight: bold;
}

.cal_top {
    display: flex;
    width: 70%;
    justify-content: space-between;
    padding: 60px 0;
}
.month {
    font-family: 'NotoSerifKR Variable', serif;
    font-size: 65px;
    font-weight: 700;
}
.week {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    font-size: 20px;
    text-align: center;
    vertical-align: middle;
    height: 50px;
}

/* Weekdays */
.calendar-weekdays {
  text-transform: uppercase;
  font-weight: 600;
  padding-bottom: 20px;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  text-align: center;
  font-size: 25px;
  font-family: "Montserrat", sans-serif;
  color: #2F2D21;
}

.Holiday {
  color: #B2A9A2;
  font-weight: 600;
}

/* Grid */
.calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
}

/* Day cell */
.day {
  font-family: "Montserrat", sans-serif;
  height: 100px;
  background: white;
  position: relative;
  padding: 20px;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  /* border: 1px solid var(--main-black); */
  outline: 1px solid var(--main-black);;
}
.is-outside {
    background: #E5E4E2;
    border: 1px solid var(--main-cream);
    opacity: 0.5;;
}
/* 날짜 숫자 */
.date {
  font-family: 'NotoSerifKR Variable', serif;
  font-size: 25px;
  font-weight: 600;
  color: var(--main-black);
  position: relative;
  z-index: 1;
}

/* 토요일 날짜 색 */
.day:nth-child(7n) .date {
  color: #666259;
}

/* 일요일 + 휴일 공통 */
.day.is-sunday,
.day.is-holiday {
  /* background-image: url("/public/image/schedule/closed.png"); */
}

.day.is-sunday .date,
.day.is-holiday .date {
  color: white;
}

.holiday-text {
  display: none;
}

.day.is-holiday::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100px;
  height: 100px;
  background-image: url("../public/image/schedule/closed.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-blend-mode: multiply;
  z-index: 0;
}
.day.is-holiday::before {
  content: "휴진";

  position: absolute;
  top: 70%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 15px;
  color: white;
  font-weight: 300;
  z-index: 1;
}

/* calendar_footer */
.calendar_footer {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 60px 0;
  align-items: center;
  gap: 20px;
}
.calendar_footer .logo_wrap {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.calendar_footer .logo {
    width: 300px;
    height: 60px;
    background-color: var(--main-green);
    -webkit-mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
    mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
    opacity: 0.5;
}
.calendar_foo_time {
    width: 50%;
    display: flex;
    gap: 40px;
}
.calendar_foo_time ul {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
}
.foo_time_title {
    font-size: 20px;
    color: var(--main-green);
    font-weight: 700;
}
.foo_time_cont {
    font-size: 20px;
}
/* 예약 버튼 */
.booking {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 60px 0;
}
.btn a {
    padding: 8px 16px;
    font-size: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 60px;
    border: 1px solid var(--main-black);
    transition: all 0.3s;
}
.btn a:hover {
    background-color: var(--main-green);
    color: white;
}
.btn_on {
    display: none;
}
.btn a:hover .btn_off {
    display: none;
}
.btn a:hover .btn_on {
    display: block;
}

@media screen and (max-width: 1024px) {
    .intro_section {
        width: auto;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 160px;
        padding-bottom: 100px;
    }
    .intro_section .title {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 60px;
    }
    .calendar_wrap {
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 900px;
        height: auto;
        background: linear-gradient(to top, #ffffff90, #ffffff90), url(../public/image/brand_story/texture_bg.jpg);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        /* background-blend-mode: multiply; */
        padding: 14px 40px 40px 40px;
        transform: scale(0.85);
    }
}
@media screen and (max-width: 768px) {
    .intro_section {
        width: auto;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 160px;
        padding-bottom: 100px;
    }
    .intro_section .title {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 60px;
        font-size: 26px;
    }
    .calendar_wrap {
        width: 100%;
        max-width: 900px;
        padding: 14px 20px;
        box-sizing: border-box;
    }
    .calendar {
        width: 100%;
    }
    .week {
        width: 700px;
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        font-size: 20px;
    }
    .calendar li {
        width: 100%;
        height: 80px;
        padding: 6px;
        box-sizing: border-box;
    }
    .day {
        aspect-ratio: 1 / 1;
        min-width: 0;
        box-sizing: border-box
    }
    .calendar_footer {
        width: 100%;
        flex-direction: column;
        justify-content: space-between;
        gap: 60px;
    }
    .calendar_foo_time {
        width: 100%;
        display: flex;
        gap: 40px;
        justify-content: center;
    }
}

@media screen and (max-width: 768px) and (min-width: 601px) {
    .calendar_wrap {
        width: 100%;
        max-width: 600px;
        padding: 14px 20px;
        box-sizing: border-box;
    }
    .calendar {
        width: 500px;
    }
    .week {
        width: 500px;
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        font-size: 20px;
    }
    .calendar li {
        width: 100%;
        height: 100%;
        padding: 6px;
        box-sizing: border-box;
    }
    .day {
        aspect-ratio: initial;
        min-width: 0;
        box-sizing: border-box
    }
    .day.is-holiday::after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 75px;
        height: 75px;
        background-image: url(../public/image/schedule/closed.png);
        background-repeat: no-repeat;
        background-size: contain;
        background-blend-mode: multiply;
        z-index: 0;
    }
}

@media screen and (max-width: 600px) and (min-width: 451px) {
    .intro_section {
        width: auto;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 160px;
        padding-bottom: 0 !important;
    }
    .intro_section .title {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 0;
        font-size: 30px;
    }
    .calendar_wrap {
        width: 100%;
        padding: 14px 20px;
        box-sizing: border-box;
    }
    .calendar {
        width: 90%;
    }
    .month {
        font-size: 48px;
    }
    .cal_top {
        padding: 40px 0;
    }
    .week {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        font-size: 20px;
    }
    .calendar li {
        width: 100%;
        height: 100%;
        padding: 6px;
        box-sizing: border-box;
    }
    .day {
        aspect-ratio: initial !important;
        min-width: 0;
        box-sizing: border-box
    }
    .day.is-holiday::after {
        content: "";
        position: absolute;
        top: 40%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 50px;
        height: 50px;
        background-image: url(../public/image/schedule/closed.png);
        background-repeat: no-repeat;
        background-size: contain;
        background-blend-mode: multiply;
        z-index: 0;
    }
    .day.is-holiday::before {
        font-size: 14px;
        color: var(--main-green);
        font-weight: 400;
        z-index: 1;
    }
    .calendar_footer {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 60px 0;
        align-items: center;
        gap: 20px;
    }
    .calendar_footer .logo {
        width: 200px;
        height: 60px;
        background-color: var(--main-green);
        -webkit-mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
        mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
        opacity: 0.5;
    }
    .calendar_foo_time {
        width: 100%;
        justify-content: center;
        margin-top: 40px;
    }
}   
@media screen and (max-width: 450px) and (min-width: 300px) {
    .intro_section {
        width: auto;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 160px;
        padding-bottom: 0 !important;
    }
    .intro_section .title {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 0;
        font-size: 30px;
    }
    .calendar_wrap {
        width: 100%;
        max-width: 100% !important;
        padding: 14px 20px;
        box-sizing: border-box;
    }
    .cal_top {
        display: flex;
        width: 70%;
        justify-content: space-between;
        padding: 20px 0;
    }
    .month {
        font-size: 30px;
    }
    .calendar {
        width: 98%;
    }
    .week {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        font-size: 20px;
    }
    .calendar li {
        width: 100%;
        height: 100%;
        padding: 6px;
        box-sizing: border-box;
        font-size: 16px;
    }
    .day {
        aspect-ratio: initial !important;
        min-width: 0;
        box-sizing: border-box;
        height: 80px;
        padding: 10px;
    }
    .date {
        font-size: 18px !important;
    }
    .day.is-holiday::after {
        content: "";
        position: absolute;
        top: 32%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 40px;
        height: 40px;
        background-image: url(../public/image/schedule/closed.png);
        background-repeat: no-repeat;
        background-size: contain;
        background-blend-mode: multiply;
        z-index: 0;
    }
    .day.is-holiday::before {
        font-size: 14px;
        color: var(--main-green);
        font-weight: 400;
        z-index: 1;
    }
    .calendar_footer {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 60px 0;
        align-items: center;
        gap: 20px;
    }
    .calendar_footer .logo {
        width: 180px;
        height: 60px;
        background-color: var(--main-green);
        -webkit-mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
        mask: url(../public/logo/lruda_logo.svg) no-repeat center / contain;
        opacity: 0.5;
    }
    .calendar_foo_time {
        width: 100%;
        justify-content: center;
        margin-top: 40px;
        font-size: 16px;
    }
    .calendar_foo_time li {
        font-size: 16px;
    }
    .booking {
        gap: 10px;
        padding: 0;
        padding: 10px;
        padding-bottom: 60px;
        
    }
    .btn a {
        padding: 8px 16px;
        font-size: 14px;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        gap: 30px;
        border: 1px solid var(--main-black);
        transition: all 0.3s;
        white-space: nowrap;
    }
}   